## ros-indigo-xsens-driver 2.2.2

=== debian/changelog ===
ros-indigo-xsens-driver (2.2.2-0trusty) trusty; urgency=high

  * fix exception while closing node
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Wed, 01 Aug 2018 22:00:00 -0000

ros-indigo-xsens-driver (2.2.1-0trusty) trusty; urgency=high

  * fix frame reorientation (only for orientation and linear velocity)
  * fix skip-factor command line (#80 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/80>)
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Wed, 01 Aug 2018 22:00:00 -0000

ros-indigo-xsens-driver (2.2.0-0trusty) trusty; urgency=high

  * initial_wait argument for MTDevice, node and launch file
  * separate gps_msg from Position Data
  * handle both alignment rotation versions
  * fix GetAlignmentRotation
  * new timeout command line argument
  * catch timeout exception while writing messages
  * Feat/configurable covariance diagonals (#65 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/65>)
  * catch timeout exception during inspect (#60 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/60>)
  * Fix conversion from UTC to epoch time for /time_reference (#56 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/56>)
  * fix bug in sample time fine
  * add missing package dependency on python-serial (#54 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/54>)
  * support delta q (#49 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/49>)
  * Synchronization settings and UTC time extension (#46 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/46>)
  * full list of error codes and messages
  * Contributors: Alex Naiman, Atsushi Watanabe, Di Zeng, Francis Colas, Rein Appeldoorn, juichung kuo

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Sun, 15 Jul 2018 22:00:00 -0000

ros-indigo-xsens-driver (2.1.0-0trusty) trusty; urgency=high

  * Add no_rotation_duration option
  * Fix typo (#39 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/39>)
  * Fix gnss pvt parsing (#37 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/37>)
  * fix GetOptionFlags (#34 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/34>)
  * Contributors: Andersw88, Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Thu, 13 Apr 2017 22:00:00 -0000

ros-indigo-xsens-driver (2.0.1-0trusty) trusty; urgency=high

  * fix TimeReference member name
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 15 Aug 2016 22:00:00 -0000

ros-indigo-xsens-driver (2.0.0-0trusty) trusty; urgency=high

  * support of mark iv devices (configuration and ROS node)
  * remove gps_common dependency (for jade and kinetic)
  * work in 16.04 with pyserial3
  * proper message types for temperature, pressure, magnetic field and time
  * better timeout management
  * various bug fixes
  * Contributors: CTU robot, Francis Colas, João Sousa, Konstantinos Chatzilygeroudis, Latitude OBC, Vincent Rousseau, fcolas, jotaemesousa

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 01 Aug 2016 22:00:00 -0000

ros-indigo-xsens-driver (1.0.3-0trusty) trusty; urgency=high

  * Inclusion of launch file
  * Additions and fixes from PAL robotics
  * Add local frame conversion for calibrated imu data (acc, gyr, mag)
  * Contributors: Enrique Fernandez, Francis Colas, Paul Mathieu, Sam Pfeiffer

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Tue, 13 May 2014 22:00:00 -0000

ros-indigo-xsens-driver (1.0.2-0trusty) trusty; urgency=high

  * catkinized
  * experimental support of mark 4 IMUs
  * fixed scaling in DOP values
  * adding publisher for full data as a string
  * relative topic names

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 03 Mar 2014 23:00:00 -0000

ros-indigo-xsens-driver (1.0.1-0trusty) trusty; urgency=high

  * minor improvements
  * naming cleanup
  * Contributors: Benjamin Hitov, Francis Colas, Nikolaus Demmel, Stéphane Magnenat, fcolas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Sun, 26 Aug 2012 22:00:00 -0000
